# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'turnip/extra_steps/version'

Gem::Specification.new do |spec|
  spec.name          = "turnip-extra_steps"
  spec.version       = Turnip::ExtraSteps::VERSION
  spec.authors       = ["Celso Fernandes"]
  spec.email         = ["fernandes@zertico.com"]

  spec.summary       = %q{Extra steps for, you know, turnip}
  spec.description   = %q{Wanna start writing turn ip features like a boss but you have to write ALL steps for it? No problem we can provide some, mainly based on spreewald.}
  spec.homepage      = "http://github.com/fernandes/turnip-extra_steps"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "capybara", "~> 2.4"
  spec.add_development_dependency "codeclimate-test-reporter", "~> 0.4"
  spec.add_development_dependency "combustion", "~> 0.5"
  spec.add_development_dependency "database_cleaner", "~> 1.4"
  spec.add_development_dependency "factory_girl_rails", "~> 4.5"
  spec.add_development_dependency "faker", "~> 1.4"
  spec.add_development_dependency "guard", "~> 2"
  spec.add_development_dependency "guard-rspec", "~> 4"
  spec.add_development_dependency "haml-rails", "~> 0.9"
  spec.add_development_dependency "listen", "~> 2.7.12"
  spec.add_development_dependency "poltergeist", "~> 1.6"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "rails", "~> 4.2"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec-rails", "~> 3.2"
  spec.add_development_dependency "shoulda-matchers", "~> 2.8"
  spec.add_development_dependency "sqlite3", "~> 1.3"
  spec.add_development_dependency "thor", "~> 0.19"
  spec.add_development_dependency "turnip", "~> 1.3"
end
